Debians sikkerhedsbulletin

DSA-691-1 abuse -- flere sårbarheder

Rapporteret den:
7. mar 2005
Berørte pakker:
abuse
Sårbar:
Ja
Referencer i sikkerhedsdatabaser:
I Mitres CVE-ordbog: CVE-2005-0098, CVE-2005-0099.
Yderligere oplysninger:

Flere sårbarheder er opdaget i abuse, SDL-tilpasningen af actionspillet Abuse. Projektet Common Vulnerabilities and Exposures har fundet frem til følgende problemer:

  • CAN-2005-0098

    Erik Sjölund har opdaget flere bufferoverløb i håndteringen af kommandolinjen, hvilket kunne medføre udførelse af vilkårlig kode med forøgede rettigheder, da programmet var installeret setuid root.

  • CAN-2005-0099

    Steve Kemp har opdaget at abuse opretter nogle filer uden først at smide sine rettigheder væk, hvilket kunne føre til oprettelse og overskrivelse af vilkårlige filer.

I den stabile distribution (woody) er disse problemer rettet i version 2.00+-3woody4.

Den ustabile distribution (sid) indeholder ikke længere en abuse-pakke.

Vi anbefaler at du opgraderer din abuse-pakke.

Rettet i:

Debian GNU/Linux 3.0 (woody)

Kildekode:
http://security.debian.org/pool/updates/main/a/abuse/abuse_2.00+-3woody4.dsc
http://security.debian.org/pool/updates/main/a/abuse/abuse_2.00+-3woody4.diff.gz
http://security.debian.org/pool/updates/main/a/abuse/abuse_2.00+.orig.tar.gz
Alpha:
http://security.debian.org/pool/updates/main/a/abuse/abuse_2.00+-3woody4_alpha.deb
ARM:
http://security.debian.org/pool/updates/main/a/abuse/abuse_2.00+-3woody4_arm.deb
Intel IA-32:
http://security.debian.org/pool/updates/main/a/abuse/abuse_2.00+-3woody4_i386.deb
Intel IA-64:
http://security.debian.org/pool/updates/main/a/abuse/abuse_2.00+-3woody4_ia64.deb
HPPA:
http://security.debian.org/pool/updates/main/a/abuse/abuse_2.00+-3woody4_hppa.deb
Motorola 680x0:
http://security.debian.org/pool/updates/main/a/abuse/abuse_2.00+-3woody4_m68k.deb
Big endian MIPS:
http://security.debian.org/pool/updates/main/a/abuse/abuse_2.00+-3woody4_mips.deb
Little endian MIPS:
http://security.debian.org/pool/updates/main/a/abuse/abuse_2.00+-3woody4_mipsel.deb
PowerPC:
http://security.debian.org/pool/updates/main/a/abuse/abuse_2.00+-3woody4_powerpc.deb
IBM S/390:
http://security.debian.org/pool/updates/main/a/abuse/abuse_2.00+-3woody4_s390.deb
Sun Sparc:
http://security.debian.org/pool/updates/main/a/abuse/abuse_2.00+-3woody4_sparc.deb

MD5-kontrolsummer for de listede filer findes i den originale sikkerhedsbulletin.